Bug 1577052 - "rhui-manager subscriptions list --available --pool-only" prints some invisible garbage [NEEDINFO]
Summary: "rhui-manager subscriptions list --available --pool-only" prints some invisib...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: RHUA
Version: 3.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 3.0.4
: 3.0.x
Assignee: Martin Minar
QA Contact: Vratislav Hutsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 05:48 UTC by Radek Bíba
Modified: 2019-11-12 02:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-10 16:00:36 UTC
Target Upstream Version:
mminar: needinfo?


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:2153 0 None None None 2018-07-10 16:00:57 UTC

Description Radek Bíba 2018-05-11 05:48:37 UTC
Description of problem:
As a RHUI admin, I'd like to take the output from "rhui-manager subscriptions list --available --pool-only" and use it as the parameter of "rhui-manager subscriptions register --pool ..."; this assumes that I only have a single pool available. However, I can't do that using $() or ``, as the output contains more than just the pool ID. The ~/.rhui/rhui.log file says:

The pool ID ESC[0m8a85f98b61e217aa0161ed24079a583e is not available

Check the output using | od -a to see the extra characters.

Version-Release number of selected component (if applicable):
RHUI 3.0.3.

Comment 6 errata-xmlrpc 2018-07-10 16:00:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2153


Note You need to log in before you can comment on or make changes to this bug.